
body{
		background-color: black;
}

@font-face{
	font-family:"GameFont";
	src: url("game_assets/momo_trust_sans/fonts/otf/MomoTrustSans-Regular.otf");

}
#ui-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    min-height: 100vh;
    width: 100%;
}
#ad-container {
    margin-top: 20px;
    width: 100%;
    max-width: 728px;
    display: none;
}
.ad-placeholder {
    background-color: #1a1a1a;
    border: 1px dashed #444;
    color: #666;
    height: 90px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: sans-serif;
    border-radius: 4px;
}
#game-container {
    position: relative;
    width: 90vw;
    height: 80vh;
    max-width: 1000px;
    margin: 5vh auto;
    
    border: 4px solid #333;
    overflow: hidden;
    background: #000;
    box-shadow: 0 0 20px rgba(0,0,0,0.5);
}

#threeCanvas, #gameCanvas {
    position: absolute; 
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: fill;
}

#gameCanvas {
    z-index: 1;
    pointer-events: none;
}

#threeCanvas {
    z-index: 0;
}

#game-footer {
    position: fixed;
    bottom: 10px;
    width: 100%;
    text-align: center;
    z-index: 10; /* Fica acima do canvas */
}

#game-footer a {
    color: rgba(255, 255, 255, 0.5); /* Cor discreta */
    text-decoration: none;
    font-size: 12px;
}


